Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452965 - Kernel Oops'es on HP DL380/G5 with last 2 kernel updates
Summary: Kernel Oops'es on HP DL380/G5 with last 2 kernel updates
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 8
Hardware: i386
OS: Linux
low
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-26 09:56 UTC by jinensan
Modified: 2008-07-15 12:16 UTC (History)
0 users

Fixed In Version: 2.6.25.10-47.fc8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-15 12:16:04 UTC


Attachments (Terms of Use)

Description jinensan 2008-06-26 09:56:09 UTC
Hi,

on an HP Proliant DL380/G5 server I ran the last update and after rebooting into
the new kernel (2.6.25.6-27.fc8) the load is constant at 1.00 (as opposed to
prior values far less than that). A dmesg shows this:

[...]
eth0: Broadcom NetXtreme II BCM5708 1000Base-T (B2) PCI-X 64-bit 133MHz found at
mem f8000000, IRQ 16, node addr 00:1e:0
b:76:f9:b4
ACPI: PCI Interrupt 0000:05:00.0[A] -> GSI 17 (level, low) -> IRQ 17
eth1: Broadcom NetXtreme II BCM5708 1000Base-T (B2) PCI-X 64-bit 133MHz found at
mem fa000000, IRQ 17, node addr 00:1e:0
b:76:f9:b2
ACPI: PCI Interrupt 0000:01:04.0[A] -> GSI 21 (level, low) -> IRQ 21
hpwdt: New timer passed in is 30 seconds.
BUG: unable to handle kernel paging request at a1ffff94
IP: [<f796cdcf>]
*pde = 00000000
Oops: 0002 [#1] SMP
Modules linked in: iTCO_wdt iTCO_vendor_support sg button ipmi_si(+) hpwdt(+)
pcspkr ipmi_msghandler serio_raw bnx2 sr_m
od i5000_edac cdrom edac_core ata_piix libata cciss sd_mod scsi_mod dm_snapshot
dm_zero dm_mirror dm_mod ext3 jbd mbcach
e uhci_hcd ohci_hcd ehci_hcd [last unloaded: scsi_wait_scan]

Pid: 1143, comm: modprobe Not tainted (2.6.25.6-27.fc8 #1)
EIP: 0060:[<f796cdcf>] EFLAGS: 00210286 CPU: 1
EIP is at 0xf796cdcf
EAX: 00000000 EBX: 000f0000 ECX: 00cd0100 EDX: d0ffffff
ESI: 5f32335f EDI: c39bd09b EBP: f796cda8 ESP: f796cd74
DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Process modprobe (pid: 1143, ti=f796c000 task=f7370e70 task.ti=f796c000)
Stack: 00000000 f89384a9 000f0060 f796007b 00200286 f7965000 ffffffed f796cda8
f796cda8 c00ffee0 00000000 000f1fff c00f0000 f796cdc8 c00f0000 c00ffee0
f796cdc8 c00f0000 f89395d0 f89395a0 f7965000 f796cddc c0501c75 f7965054
Call Trace:
[<f89384a9>] ? hpwdt_init_one+0x18b/0x3a3 [hpwdt]
[<c0501c75>] ? pci_device_probe+0x39/0x5b
[<c05666bf>] ? driver_probe_device+0xc0/0x137
[<c056685a>] ? __driver_attach+0x73/0xa9
[<c0565c03>] ? bus_for_each_dev+0x37/0x5c
[<c0566544>] ? driver_attach+0x14/0x16
[<c05667e7>] ? __driver_attach+0x0/0xa9
[<c0566351>] ? bus_add_driver+0x90/0x1b7
[<c0566a50>] ? driver_register+0x47/0xa2
[<c0501e18>] ? __pci_register_driver+0x35/0x61
[<f88c5017>] ? hpwdt_init+0x17/0x19 [hpwdt]
[<c0444e7d>] ? sys_init_module+0x1610/0x177a
[<c0435c18>] ? param_get_int+0x0/0x15
[<c04c999a>] ? security_file_permission+0xf/0x11
[<c04815d6>] ? sys_read+0x3b/0x60
[<c0405b7e>] ? syscall_call+0x7/0xb
=======================
Code: 00 00 0f c0 c8 cd 96 f7 00 00 0f c0 e0 fe 0f c0 c8 cd 96 f7 00 00 0f c0 d0
95 93 f8 a0 95 93 f8 00 50 96 f7 dc cd
96 f7 75 1c 50 <c0> 54 50 96 f7 00 00 00 00 d0 95 93 f8 f4 cd 96 f7 bf 66 56 c0
EIP: [<f796cdcf>] 0xf796cdcf SS:ESP 0068:f796cd74
---[ end trace ca02497da47f312c ]---
device-mapper: multipath: version 1.0.5 loaded
loop: module loaded
EXT3 FS on dm-0, internal journal
kjournald starting. Commit interval 5 seconds
[...]

This did not happen until kernel update 2.6.25.4-10.fc8 and now continues with
2.6.25.6-27.fc8.

Comment 1 Fedora Update System 2008-07-08 14:27:39 UTC
kernel-2.6.25.10-47.fc8 has been submitted as an update for Fedora 8

Comment 2 Fedora Update System 2008-07-09 02:48:01 UTC
kernel-2.6.25.10-47.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update kernel'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-6200

Comment 3 jinensan 2008-07-14 16:13:52 UTC
Issue is fixed with kernel: 2.6.25.9-40.fc8

Thank you!!

Comment 4 Fedora Update System 2008-07-15 12:16:00 UTC
kernel-2.6.25.10-47.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.